<?php

namespace Lc\PietroBundle\Container\IndividualData;

use Lc\PietroBundle\Definition\Field\IndividualData\IndividualDataFieldDefinition;
use Lc\PietroBundle\Factory\IndividualData\IndividualDataFactory;
use Lc\PietroBundle\Repository\IndividualData\IndividualDataRepositoryQuery;
use Lc\PietroBundle\Repository\IndividualData\IndividualDataStore;

class IndividualDataContainer
{
    protected IndividualDataFactory $factory;
    protected IndividualDataRepositoryQuery $repositoryQuery;
    protected IndividualDataStore $store;
    protected IndividualDataFieldDefinition $fieldDefinition;

    public function __construct(
        IndividualDataFactory $factory,
        IndividualDataRepositoryQuery $repositoryQuery,
        IndividualDataStore $store,
        IndividualDataFieldDefinition $fieldDefinition
    ) {
        $this->factory = $factory;
        $this->repositoryQuery = $repositoryQuery;
        $this->store = $store;
        $this->fieldDefinition = $fieldDefinition;
    }

    public function getFactory(): IndividualDataFactory
    {
        return $this->factory;
    }

    public function getRepositoryQuery(): IndividualDataRepositoryQuery
    {
        return $this->repositoryQuery;
    }

    public function getStore(): IndividualDataStore
    {
        return $this->store;
    }

    public function getFieldDefinition(): IndividualDataFieldDefinition
    {
        return $this->fieldDefinition;
    }
}
