<?php

namespace Lc\PietroBundle\Container\ProjectBoost;

use Lc\PietroBundle\Factory\ProjectBoost\ProjectBoostFactory;
use Lc\PietroBundle\Repository\ProjectBoost\ProjectBoostRepositoryQuery;
use Lc\PietroBundle\Repository\ProjectBoost\ProjectBoostStore;

class ProjectBoostContainer
{
    protected ProjectBoostFactory $factory;
    protected ProjectBoostRepositoryQuery $repositoryQuery;
    protected ProjectBoostStore $store;

    public function __construct(
            ProjectBoostFactory $factory,
            ProjectBoostRepositoryQuery $repositoryQuery,
            ProjectBoostStore $store
    ) {
        $this->factory = $factory;
        $this->repositoryQuery = $repositoryQuery;
        $this->store = $store;
    }

    public function getFactory(): ProjectBoostFactory
    {
        return $this->factory;
    }

    public function getRepositoryQuery(): ProjectBoostRepositoryQuery
    {
        return $this->repositoryQuery;
    }

    public function getStore(): ProjectBoostStore
    {
        return $this->store;
    }
}
