<?php

namespace Lc\PietroBundle\Container\ProjectInspiring;

use Lc\PietroBundle\Factory\ProjectInspiring\ProjectInspiringFactory;
use Lc\PietroBundle\Repository\ProjectInspiring\ProjectInspiringRepositoryQuery;
use Lc\PietroBundle\Repository\ProjectInspiring\ProjectInspiringStore;

class ProjectInspiringContainer
{
    protected ProjectInspiringFactory $factory;
    protected ProjectInspiringRepositoryQuery $repositoryQuery;
    protected ProjectInspiringStore $store;

    public function __construct(
            ProjectInspiringFactory $factory,
            ProjectInspiringRepositoryQuery $repositoryQuery,
            ProjectInspiringStore $store
    ) {
        $this->factory = $factory;
        $this->repositoryQuery = $repositoryQuery;
        $this->store = $store;
    }

    public function getFactory(): ProjectInspiringFactory
    {
        return $this->factory;
    }

    public function getRepositoryQuery(): ProjectInspiringRepositoryQuery
    {
        return $this->repositoryQuery;
    }

    public function getStore(): ProjectInspiringStore
    {
        return $this->store;
    }
}
