<?php

namespace Lc\PietroBundle\Container\Revolt;

use Lc\PietroBundle\Factory\Revolt\RevoltFactory;
use Lc\PietroBundle\Repository\Revolt\RevoltRepositoryQuery;
use Lc\PietroBundle\Repository\Revolt\RevoltStore;

class RevoltContainer
{
    protected RevoltFactory $factory;
    protected RevoltRepositoryQuery $repositoryQuery;
    protected RevoltStore $store;

    public function __construct(
            RevoltFactory $factory,
            RevoltRepositoryQuery $repositoryQuery,
            RevoltStore $store
    ) {
        $this->factory = $factory;
        $this->repositoryQuery = $repositoryQuery;
        $this->store = $store;
    }

    public function getFactory(): RevoltFactory
    {
        return $this->factory;
    }

    public function getRepositoryQuery(): RevoltRepositoryQuery
    {
        return $this->repositoryQuery;
    }

    public function getStore(): RevoltStore
    {
        return $this->store;
    }
}
