<?php

namespace Lc\PietroBundle\Container\Subthematic;

use Lc\PietroBundle\Factory\Subthematic\SubthematicFactory;
use Lc\PietroBundle\Repository\Subthematic\SubthematicRepositoryQuery;
use Lc\PietroBundle\Repository\Subthematic\SubthematicStore;

class SubthematicContainer
{
    protected SubthematicFactory $factory;
    protected SubthematicRepositoryQuery $repositoryQuery;
    protected SubthematicStore $store;

    public function __construct(
            SubthematicFactory $factory,
            SubthematicRepositoryQuery $repositoryQuery,
            SubthematicStore $store
    ) {
        $this->factory = $factory;
        $this->repositoryQuery = $repositoryQuery;
        $this->store = $store;
    }

    public function getFactory(): SubthematicFactory
    {
        return $this->factory;
    }

    public function getRepositoryQuery(): SubthematicRepositoryQuery
    {
        return $this->repositoryQuery;
    }

    public function getStore(): SubthematicStore
    {
        return $this->store;
    }
}
