<?php

namespace Lc\PietroBundle\Controller;

use Lc\PietroBundle\Container\Dream\DreamContainer;
use Lc\PietroBundle\Container\IndividualData\IndividualDataContainer;
use Lc\PietroBundle\Container\ProjectBoost\ProjectBoostContainer;
use Lc\PietroBundle\Container\ProjectInspiring\ProjectInspiringContainer;
use Lc\PietroBundle\Container\Revolt\RevoltContainer;
use Lc\PietroBundle\Container\Subthematic\SubthematicContainer;
use Lc\PietroBundle\Container\Territory\TerritoryContainer;
use Lc\PietroBundle\Container\Thematic\ThematicContainer;

trait ControllerTrait
{
    public static function getSubscribedServices()
    {
        return array_merge(
                parent::getSubscribedServices(),
                [
                        DreamContainer::class => DreamContainer::class,
                        IndividualDataContainer::class => IndividualDataContainer::class,
                        ProjectBoostContainer::class => ProjectBoostContainer::class,
                        ProjectInspiringContainer::class => ProjectInspiringContainer::class,
                        RevoltContainer::class => RevoltContainer::class,
                        SubthematicContainer::class => SubthematicContainer::class,
                        TerritoryContainer::class => TerritoryContainer::class,
                        ThematicContainer::class => ThematicContainer::class,
                ]
        );
    }

    public function getDreamContainer(): DreamContainer
    {
        return $this->get(DreamContainer::class);
    }

    public function getIndividualDataContainer(): IndividualDataContainer
    {
        return $this->get(IndividualDataContainer::class);
    }

    public function getProjectBoostContainer(): ProjectBoostContainer
    {
        return $this->get(ProjectBoostContainer::class);
    }

    public function getProjectInspiringContainer(): ProjectInspiringContainer
    {
        return $this->get(ProjectInspiringContainer::class);
    }

    public function getRevoltContainer(): RevoltContainer
    {
        return $this->get(RevoltContainer::class);
    }

    public function getSubthematicContainer(): SubthematicContainer
    {
        return $this->get(SubthematicContainer::class);
    }

    public function getTerritoryContainer(): TerritoryContainer
    {
        return $this->get(TerritoryContainer::class);
    }

    public function getThematicContainer(): ThematicContainer
    {
        return $this->get(ThematicContainer::class);
    }
}
