<?php

namespace Lc\PietroBundle\Model\Subthematic;

use Doctrine\ORM\Mapping as ORM;
use Lc\PietroBundle\Model\Thematic\ThematicInterface;
use Lc\SovBundle\Doctrine\EntityInterface;

/**
 * @ORM\MappedSuperclass()
 */
abstract class Subthematic implements SubthematicInterface, EntityInterface
{
    /**
     * @ORM\Column(type="string", length=255)
     */
    protected $name;

    /**
     * @ORM\ManyToOne(targetEntity="Lc\PietroBundle\Model\Thematic\ThematicInterface", inversedBy="subthematic")
     */
    protected $thematic;

    public function __toString()
    {
        return $this->name;
    }

    public function getName(): ?string
    {
        return $this->name;
    }

    public function setName(string $name): self
    {
        $this->name = $name;

        return $this;
    }

    public function getThematic(): ?ThematicInterface
    {
        return $this->thematic;
    }

    public function setThematic(?ThematicInterface $thematic): self
    {
        $this->thematic = $thematic;

        return $this;
    }
}
